package com.srs.comprehensive.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 体能测试对象 srs_sport_test
 * 
 * @author srs
 * @date 2023-06-28
 */
@TableName("srs_sport_test")
public class SrsSportTest extends BaseEntity
{
    private static final long serialVersionUID = 1L;



    /** 体能测试id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 学生id */
    @Excel(name = "学生id")
    private Long stuId;

    /** 体能测试分数 */
    @Excel(name = "体能测试分数")
    private BigDecimal testScore;

    /** 学年id */
    @Excel(name = "学年id")
    private Long stuYearId;

    @TableField(exist = false)
    private SrsStudent student;

    @TableField()
    private String stuNo;

    /** 学院id */
    @TableField(exist = false)
    private Long deptId;

    /** 专业id */
    @TableField(exist = false)
    private Long majorId;
    /** 删除标志（0代表存在 */
    private String delFlag;

    /** 体能测试分数范围 */
    @TableField(exist = false)
    private BigDecimal testScoreFrom;

    /** 体能测试分数范围 */
    @TableField(exist = false)
    private BigDecimal testScoreTo;

    public BigDecimal getTestScoreFrom() {
        return testScoreFrom;
    }

    public void setTestScoreFrom(BigDecimal testScoreFrom) {
        this.testScoreFrom = testScoreFrom;
    }

    public BigDecimal getTestScoreTo() {
        return testScoreTo;
    }

    public void setTestScoreTo(BigDecimal testScoreTo) {
        this.testScoreTo = testScoreTo;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStuId(Long stuId) 
    {
        this.stuId = stuId;
    }

    public Long getStuId() 
    {
        return stuId;
    }
    public void setTestScore(BigDecimal testScore) 
    {
        this.testScore = testScore;
    }

    public BigDecimal getTestScore() 
    {
        return testScore;
    }
    public void setStuYearId(Long stuYearId) 
    {
        this.stuYearId = stuYearId;
    }

    public Long getStuYearId() 
    {
        return stuYearId;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stuId", getStuId())
            .append("testScore", getTestScore())
            .append("stuYearId", getStuYearId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    public SrsStudent getStudent() {
        return student;
    }

    public void setStudent(SrsStudent student) {
        this.student = student;
    }

    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getMajorId() {
        return majorId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }
}
